## gildas 2023.05a

=== packages/cube/main/Makefile ===
###########################################################################
#
# Makefile system for GILDAS softwares (2003-2023).
#
# Please be careful: element order often matters in makefiles.
#
###########################################################################

include $(gagadmdir)/Makefile.def

###########################################################################

EXECUTABLES = cube

LOAD_LIBS = -lcube -lcubestatistics -lcubego -lcubeedit -lcubefield	\
-lcubefit -lcubecompute -lcubeset -lcubemain -lcubetemplate -lcubeadm	\
-lcubetuple -lcubeio -lcubedag -lcubefitsio -lcubetools -lclassic	\
$(GREG_LIBS)

###########################################################################

include $(gagadmdir)/Makefile.main

###########################################################################

=== packages/cube/lib/statistics/Makefile ===
###########################################################################
#
# Makefile system for GILDAS softwares (2003-2023).
#
# Please be careful: element order often matters in makefiles.
#
###########################################################################

include $(gagadmdir)/Makefile.def

###########################################################################

LIB_IDENTITY = cubestatistics

TYPES_OBJECTS = type-histoaxis.o

COMMAND_OBJECTS = command-histo1d.o command-histo2d.o

LIB_F_OBJECTS = $(TYPES_OBJECTS) $(COMMAND_OBJECTS) language.o message.o

LIB_EXPORTS = cubestatistics_language.mod cubestatistics_messaging.mod

LIB_DEPENDS = -lcubemain -lcubetemplate -lcubeadm -lcubetuple	\
-lcubedag -lcubetools $(GREG_LIBS)

INTERFACES_DISABLE = yes

###########################################################################

include $(gagadmdir)/Makefile.lib

###########################################################################

include $(builddir)/Makefile.deps

###########################################################################

## gildas 2019.02b

=== debian/changelog ===
gildas (2019.02b-1) xenial; urgency=medium

  * New upstream version.

 -- Pekko Metsä <pjmetsa@gmail.com>  Fri, 15 Feb 2019 14:52:14 +0200

gildas (2017.02c-16.04-3) xenial; urgency=medium

  * Fixed wrong distro name in the binary paths.

 -- Pekko Metsä <pjmetsa@gmail.com>  Tue, 21 Mar 2017 11:42:27 +0200

gildas (2017.02c-16.04-2) xenial; urgency=medium

  * Fixed cfitsio dependecies.

 -- Pekko Metsä <pjmetsa@gmail.com>  Tue, 21 Mar 2017 11:30:10 +0200

gildas (2017.02c-16.04-1) xenial; urgency=medium

  * New upstream version.  Packaged for Linux Mint Serena.

 -- Pekko Metsä <pjmetsa@gmail.com>  Tue, 21 Mar 2017 11:07:45 +0200

gildas (2014.07a-14.04-phys2) trusty; urgency=high

  * gildas.sh referred to wrong installation directory.

 -- Pekko Metsä <pjmetsa@gmail.com>  Fri, 03 Oct 2014 14:20:47 +0300

gildas (2014.07a-14.04-phys1) trusty; urgency=medium

  * New upstream version.

 -- Pekko Metsä <pjmetsa@gmail.com>  Fri, 03 Oct 2014 10:29:33 +0300

gildas (2014.04b-14.04-phys1) trusty; urgency=medium

  * New upstream version.
  * Bumped Standards-Version to 3.9.5 (no changes needed).

 -- Pekko Metsä <pjmetsa@gmail.com>  Thu, 24 Apr 2014 16:54:00 +0300

gildas (2012.09a~0-12.04-phys1) precise; urgency=low

  * New upstream version.
  * Bumped compat and Standards-Version.
  * New format in debian/rules (using dh now).

 -- Pekko Metsä <pjmetsa@gmail.com>  Mon, 24 Sep 2012 17:09:17 +0300

gildas (2010.12.c-0ubuntu1) natty; urgency=low

  * Build for natty.

 -- Pekko Metsä <pjmetsa@gmail.com>  Fri, 29 Apr 2011 12:21:40 +0300

gildas (2010.12.c-0) lucid; urgency=low

  * New upstream version. Updated Standards-Version.

 -- Pekko Metsä <pjmetsa@gmail.com>  Fri, 29 Apr 2011 11:21:02 +0300

gildas (2010.08.a-1) lucid; urgency=low

  * New upstream version.

 -- Pekko Metsä <pekko.metsa@helsinki.fi>  Tue, 24 Aug 2010 15:42:40 +0300

gildas (2010.05.d-1) lucid; urgency=low

  * New upstream version.
  * Build for lucid.

 -- Pekko Metsä <pekko.metsa@helsinki.fi>  Tue, 01 Jun 2010 12:16:13 +0300

gildas (2010.02.a-1) unstable; urgency=low

  * Initial release.

 -- Pekko Metsä <pekko.metsa@helsinki.fi>  Fri, 05 Mar 2010 11:47:49 +0200

=== debian/control ===
Source: gildas
Section: science
Priority: extra
Maintainer: Pekko Metsä <pekko.metsa@helsinki.fi>
Build-Depends: debhelper (>= 10), gfortran, libgtk2.0-dev, libatm1-dev, 
 liblapack-dev, libblas-dev, libfftw3-dev, libcfitsio-dev, 
 python-dev, python-numpy, libpng12-dev|libpng-dev, libz-dev, libxt-dev,
 libx11-dev
Standards-Version: 4.1.4
Homepage: http://iram.fr/IRAMFR/GILDAS/

Package: gildas
Architecture: any
Depends: python-dev, python-numpy, ${shlibs:Depends}, ${misc:Depends},
 gfortran, g++, libatm1, zlib1g | libz1, libxt6, libx11-6
Description: Radioastronomical software
 GILDAS is a collection of state-of-the-art software oriented toward
 (sub-)millimeter radioastronomical applications (either single-dish
 or interferometer). It is daily used to reduce all data acquired with
 the IRAM 30M telescope and Plateau de Bure Interferometer PDBI
 (except VLBI observations). GILDAS is easily extensible. GILDAS is
 written in Fortran-90, with a few parts in C/C++ (mainly keyboard
 interaction, plotting, widgets).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VER=feb19b
SRCDIR=gildas-src-$(VER)
EXEDIR=gildas-exe-$(VER)
tunecpu:=skylake

GAG_CFLAGS   += -mtune=$(tunecpu)
CXXFLAGS += -mtune=$(tunecpu)
GAG_FFLAGS   += -mtune=$(tunecpu)
CFLAGS  += -mtune=$(tunecpu)
FFLAGS  += -mtune=$(tunecpu)

%:
	dh $@

override_dh_auto_configure:
	tar zxf $(SRCDIR).tar.gz

override_dh_clean: 
	if [ -d $(EXEDIR) ]; then \
	   rm -rf $(EXEDIR); \
	fi
	[ ! -f gildas.sh ] || rm gildas.sh
	rm -f build-stamp configure-stamp

	: # Add here commands to clean up after the build process.
	if [ -d $(SRCDIR) ] ; then \
	  rm -rf $(SRCDIR); \
	fi
	dh_clean 

override_dh_install:
	: # Add here commands to install the package into debian/gildas.
	: #$(MAKE) DESTDIR=$(CURDIR)/debian/gildas install
	bash $(CURDIR)/debian/confbuildinst.sh $(CURDIR)/$(SRCDIR) $(EXEDIR)
	cp -a $(CURDIR)/$(EXEDIR) $(CURDIR)/debian/gildas/opt/astro/gildas
	cp $(CURDIR)/gildas.sh $(CURDIR)/debian/gildas/etc/
	cp $(CURDIR)/$(SRCDIR)/admin/bash_profile.src $(CURDIR)/debian/gildas/opt/astro/gildas/$(EXEDIR)/etc/bash_profile
	dh_install

override_dh_shlibdeps:
	dh_shlibdeps -lopt/astro/gildas/$(EXEDIR)/x86_64-ubuntu18.04-gfortran/lib
